package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.PushLimit;
import com.iformall.domain.po.WxCUser;
import com.iformall.domain.po.WxCoupon;

public interface PushLimitService {

    /**
     * 获取租户的PushLimit
     *
     * @param tenantId
     * @return
     */
    PushLimit getPushLimit(String tenantId);

    /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(PushLimit record);

    /**
     * 检查发送时间
     * @param tenantId
     * @return
     */
    boolean checkSendTime(String tenantId);

    /**
     * 发短信检查
     * @param tenantId
     * @return
     */
    boolean checkMsg(String tenantId);

    /**
     * 主动发券检查
     * @param tenantId
     * @param cUserId
     * @param couponId
     * @return
     */
    boolean checkCoupon(String tenantId, Long cUserId, Long couponId);

}
